BEGIN ~LHMNK2N~

IF ~!See([ENEMY])~ THEN BEGIN 0
  SAY @0
  IF ~~ THEN REPLY @1 DO ~EscapeArea()
SetGlobal("MnkAlly","GLOBAL",1)~ EXIT
END

IF ~See([ENEMY])~ THEN BEGIN 1
  SAY @2
  IF ~~ THEN EXIT
END
